/* lib/tttest.p
 *
 * pro -p lib/tttest.p -ttbaseindex 1 -ttbasetable 1 -ttindexrangesize 1000 -tttablerangesize 1000
 *
 */

&IF DECIMAL(SUBSTRING(PROVERSION,1,INDEX(PROVERSION,".") + 1)) > 11.0 &THEN
Progress.Database.TempTableInfo:ArchiveTableStatistics = true.
Progress.Database.TempTableInfo:ArchiveIndexStatistics = true.
&ENDIF

run lib/ttinfo.p persistent.


/* "your code goes here" -- do some stuff with temp-tables
 */

define temp-table tt_unused	/* counted in "peak" but not instantiated -- so no details are visible */
  field x as integer
.

define temp-table tt_inuse
  field y as integer
.

create tt_inuse.
y = 1.

create tt_inuse.
y = 2.


/* your code is finished, show the results
 */

publish "protop_showTT" ( "tttest.rpt" ).

return.
